# Compatibility

This document holds the compatibility information for Semantic MediaWiki (SMW).

For a full list of changes in each release, see the [release notes](https://github.com/SemanticMediaWiki/SemanticMediaWiki/tree/master/docs/releasenotes).
For instructions on how to install the latest version of Semantic MediaWiki (SMW), see the
[installation instructions](https://github.com/SemanticMediaWiki/SemanticMediaWiki/blob/master/docs/INSTALL.md).

## Platform compatibility and release status

The PHP and MediaWiki versions listed have been tested and are known to work.
Semantic MediaWiki may also work with more recent versions of PHP and MediaWiki, though this is not guaranteed.

Increases of minimum requirements are indicated in bold.

<table class="compatibility">
	<tr>
		<th>SMW</th>
		<th>Status</th>
		<th>First release</th>
		<th>Latest release</th>
		<th>PHP</th>
		<th>MediaWiki</th>
		<th>Notes</th>
	</tr>
	<tr>
		<th>5.0.x</th>
		<td>Future version</td>
		<td>-</td>
		<td>-</td>
		<td><strong>8.0.x</strong> - TBD</td>
		<td>TBD - TBD</td>
		<td></td>
	</tr>
	<tr>
		<th>4.1.x</th>
		<td><strong>Stable release</strong></td>
		<td>2023-01-21</td>
		<td>2023-03-09</td>
		<td><strong>7.4.0</strong> - 8.1.x</td>
		<td>1.35.0 - 1.39.x</td>
		<td>4.1.1 or higher needed for PHP 8.1+</td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_4.0.0">4.0.x</a></th>
		<td><strong>Stable release</strong></td>
		<td>2022-01-18</td>
		<td>2022-07-21</td>
		<td><strong>7.3.0</strong> - 8.0.x</td>
		<td><strong>1.35.0</strong> - 1.37.x</td>
		<td>Not compatible with PHP 8.1+ or MW 1.39</td>
	</tr>
</table>

<table class="compatibility">
	<tr>
		<th>SMW</th>
		<th>PHP</th>
		<th>MediaWiki</th>
		<th>Released</th>
		<th>Status</th>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_3.2.0">3.2.x</a></th>
		<td><strong>7.1.0</strong> - 7.4.x</td>
		<td>1.31.0 - 1.35.x</td>
		<td>2020-09-07</td>
		<td>Obsolete</td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_3.1.0">3.1.x</a></th>
		<td><strong>7.0.0</strong> - 7.3.x</td>
		<td><strong>1.31.0</strong> - 1.34.x</td>
		<td>2019-09-23</td>
		<td>Obsolete</td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_3.0.0">3.0.x</a></th>
		<td><strong>5.6.0</strong> - 7.2.x</td>
		<td><strong>1.27.0</strong> - 1.31.x</td>
		<td>2018-10-11</td>
		<td>Obsolete</td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_2.5.0">2.5.x</a></th>
		<td><strong>5.5.0</strong> - 7.1.x</td>
		<td><strong>1.23.0</strong> - 1.30.x</td>
		<td>2017-03-14</td>
		<td>Obsolete</td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_2.4.0">2.4.x</a></th>
		<td>5.3.2 - 7.0.x</td>
		<td>1.19.0 - 1.27.x</td>
		<td>2016-07-09</td>
		<td>Obsolete</td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_2.3.0">2.3.x</a></th>
		<td>5.3.2 - 5.6.x</td>
		<td>1.19.0 - 1.25.x</td>
		<td>2015-10-25</td>
		<td>Obsolete</td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_2.2.0">2.2.x</a></th>
		<td>5.3.2 - 5.6.x</td>
		<td>1.19.0 - 1.25.x</td>
		<td>2015-05-09</td>
		<td>Obsolete</td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_2.1.0">2.1.x</a></th>
		<td>5.3.2 - 5.6.x</td>
		<td>1.19.0 - 1.24.x</td>
		<td>2015-01-19</td>
		<td>Obsolete</td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_2.0.0">2.0.x</a></th>
		<td>5.3.2 - 5.6.x</td>
		<td>1.19.0 - 1.23.x</td>
		<td>2014-08-04</td>
		<td>Obsolete</td>
	</tr>
	<tr>
		<th>1.9.x</th>
		<td>5.3.2 - 5.6.x</td>
		<td>1.19.0 - 1.22.x</td>
		<td>2014-01-03</td>
		<td>Obsolete</td>
	</tr>
</table>

## Database compatibility

### SQL support

<table class="compatibility">
	<tr>
		<th>SMW</th>
		<th>MySQL</th>
		<th>SQLite</th>
		<th>PostgreSQL</th>
	</tr>
	<tr>
		<th>4.x</th>
		<td>Full support (5.5.8+)</td>
		<td>Full support (3.3.7+)</td>
		<td>Full support (9.5.0+)</td>
	</tr>
	<tr>
		<th>3.2.x</th>
		<td>Full support (5.5.8+)</td>
		<td>Full support (3.3.7+)</td>
		<td>Full support <strong>(9.5.0+)</strong></td>
	</tr>
	<tr>
		<th>3.1.x</th>
		<td>Full support (5.5.8+)</td>
		<td>Full support (3.3.7+)</td>
		<td>Full support (9.2.0+)</td>
	</tr>
	<tr>
		<th>3.0.x</th>
		<td>Full support (5.5.8+)</td>
		<td>Full support (3.3.7+)</td>
		<td>Full support <strong>(9.2.0+)</strong></td>
	</tr>
	<tr>
		<th>2.5.x</th>
		<td>Full support <strong>(5.5.8+)</strong></td>
		<td>Full support (3.3.7+)</td>
		<td>Full support <strong>(9.1.0+)</strong></td>
	</tr>
	<tr>
		<th>2.4.x</th>
		<td>Full support (5.0.2+)</td>
		<td>Full support (3.3.7+)</td>
		<td>Full support (9.0.0+)</td>
	</tr>
	<tr>
		<th>2.3.x</th>
		<td>Full support (5.0.2+)</td>
		<td>Full support (3.3.7+)</td>
		<td>Full support (9.0.0+)</td>
	</tr>
	<tr>
		<th>2.2.x</th>
		<td>Full support (5.0.2+)</td>
		<td>Full support (3.3.7+)</td>
		<td>Full support (9.0.0+)</td>
	</tr>
	<tr>
		<th>2.1.x</th>
		<td>Full support (5.0.2+)</td>
		<td>Full support (3.3.7+)</td>
		<td>Full support <strong>(9.0.0+)</strong></td>
	</tr>
	<tr>
		<th>2.0.x</th>
		<td>Full support (5.0.2+)</td>
		<td>Full support (3.3.7+)</td>
		<td>Beta support (8.3.0+)</td>
	</tr>
	<tr>
		<th>1.9.x</th>
		<td>Full support <strong>(5.0.2+)</strong></td>
		<td>Full support <strong>(3.3.7+)</strong></td>
		<td>Beta support <strong>(8.3.0+)</td>
	</tr>
</table>

Note that MS SQL Server and Oracle are not supported as database backends.

### Triple store support

<table class="compatibility">
	<tr>
		<th>SMW</th>
		<th><a href="https://jena.apache.org/">Fuseki</a></th>
		<th><a href="https://github.com/openlink/virtuoso-opensource">Virtuoso</a></th>
		<th><a href="https://github.com/garlik/4store">4store</a></th>
		<th><a href="http://rdf4j.org/">Sesame</a></th>
		<th><a href="https://wiki.blazegraph.com/">Blazegraph</a></th>
	</tr>
	<tr>
		<th>3.2.x</th>
		<td>Full support<br />(1.x >=1.1) + 2.4.0</td>
		<td>Full support<br />(6.x >=6.1) + 7.2<sup>[t.1]</sup></td>
		<td>Beta support<br />(1.x >=1.1)<sup>[t.2]</sup></td>
		<td>Full support<br />(2.8.x)</td>
		<td>Full support<br />(1.5.2) + 2.1.0<sup>[t.3]</sup></td>
	</tr>
	<tr>
		<th>3.1.x</th>
		<td>Full support<br />(1.x >=1.1) + 2.4.0</td>
		<td>Full support<br />(6.x >=6.1) + 7.2<sup>[t.1]</sup></td>
		<td>Beta support<br />(1.x >=1.1)<sup>[t.2]</sup></td>
		<td>Full support<br />(2.8.x)</td>
		<td>Full support<br />(1.5.2) + 2.1.0<sup>[t.3]</sup></td>
	</tr>
	<tr>
		<th>3.0.x</th>
		<td>Full support<br />(1.x >=1.1) + 2.4.0</td>
		<td>Full support<br />(6.x >=6.1) + 7.2<sup>[t.1]</sup></td>
		<td>Beta support<br />(1.x >=1.1)<sup>[t.2]</sup></td>
		<td>Full support<br />(2.8.x)</td>
		<td>Full support<br />(1.5.2) + 2.1.0<sup>[t.3]</sup></td>
	</tr>
	<tr>
		<th>2.5.x</th>
		<td>Full support<br />(1.x >=1.1) + 2.4.0</td>
		<td>Full support<br />(6.x >=6.1) + 7.2<sup>[t.1]</sup></td>
		<td>Beta support<br />(1.x >=1.1)<sup>[t.2]</sup></td>
		<td>Full support<br />(2.8.x)</td>
		<td>Full support<br />(1.5.2) + 2.1.0<sup>[t.3]</sup></td>
	</tr>
	<tr>
		<th>2.4.x</th>
		<td>Full support<br />(1.x >=1.1) + 2.4.0</td>
		<td>Full support<br />(6.x >=6.1) + 7.2<sup>[t.1]</sup></td>
		<td>Beta support<br />(1.x >=1.1)<sup>[t.2]</sup></td>
		<td>Full support<br />(2.8.x)</td>
		<td>Full support<br />(1.5.2) + 2.1.0<sup>[t.3]</sup></td>
	</tr>
	<tr>
		<th>2.3.x</th>
		<td>Full support<br />(1.x >=1.1)</td>
		<td>Full support<br />(6.x >=6.1) + 7.1<sup>[t.1]</sup></td>
		<td>Beta support<br />(1.x >=1.1)<sup>[t.2]</sup></td>
		<td>Full support<br />(2.7.x)</td>
		<td>Full support<br />(1.5.2)</td>
	</tr>
	<tr>
		<th>2.2.x</th>
		<td>Full support<br />(1.x >=1.1)</td>
		<td>Full support<br />(6.x >=6.1) + 7.1<sup>[t.1]</sup></td>
		<td>Beta support<br />(1.x >=1.1)<sup>[t.2]</sup></td>
		<td>Full support<br />(2.7.x)</td>
		<td>Beta support<br />(1.5.2)</td>
	</tr>
	<tr>
		<th>2.1.x</th>
		<td>Full support<br />(1.x >=1.1)</td>
		<td>Full support<br />(6.x >=6.1)</td>
		<td>Beta support<br />(1.x >=1.1)</td>
		<td>Full support<br />(2.7.x)</td>
		<td>Not tested</td>
	</tr>
	<tr>
		<th>2.0.x</th>
		<td>Full support</td>
		<td>Full support</td>
		<td>Beta support</td>
		<td>Beta support</td>
		<td>Not tested</td>
	</tr>
	<tr>
		<th>1.9.x</th>
		<td>No support</td>
		<td>Beta support</td>
		<td>Beta support</td>
		<td>Beta support</td>
		<td>Not tested</td>
	</tr>
</table>

- "Full support" means that all functionality has been verified to work and that it can be used in production
- "Beta support" means that most functionality has been verified to work, though stability is still low, and things might be buggy

### ElasticStore support



<table class="compatibility">
	<tr>
		<th>SMW</th>
		<th>ElasticSearch</th>
		<th>OpenSearch</th>
		<th>Notes</th>
	</tr>
	<tr>
		<th>5.0.x</th>
		<td>TBD</td>
		<td>TBD</td>
		<td></td>
	</tr>
	<tr>
		<th>4.1.x</th>
		<td>6.5.x - 6.8.23</td>
		<td>Not supported (TBD)</td>
		<td><a href="https://github.com/SemanticMediaWiki/SemanticMediaWiki/issues/5328">Confirmed to not work with ElasticSearch 7.x (MW 1.39)</a></td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_4.0.0">4.0.x</a></th>
		<td>6.5.x - 6.8.23</td>
		<td>Not supported</td>
		<td></td>
	</tr>
</table>

<table class="compatibility">
	<tr>
		<th>SMW</th>
		<th>ElasticSearch</th>
		<th>Status</th>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_3.2.0">3.2.x</a></th>
		<td>5.5.x - 6.8.23</td>
		<td>Obsolete</td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_3.1.0">3.1.x</a></th>
		<td>5.5.x - 6.8.23</td>
		<td>Obsolete</td>
	</tr>
	<tr>
		<th><a href="https://www.semantic-mediawiki.org/wiki/Semantic_MediaWiki_3.0.0">3.0.x</a></th>
		<td>5.3.x - 6.8.23</td>
		<td>Obsolete</td>
	</tr>
</table>

- A 'minimum' supported version of ElasticSearch is followed by [CirrusSearch's requirements](https://www.mediawiki.org/wiki/Extension:CirrusSearch#Dependencies).
- [OpenSearch](https://opensearch.org/) is a forked version of ElasticSearch OSS 7.10.2 by Amazon which Wikimedia is [considering migrating to](https://phabricator.wikimedia.org/T280482).

### Notes

The information in brackets denotes the versions with which SMW is known to work. SMW might also work with different versions, especially more recent ones, though this is not guaranteed.

* <sup>[t.1]</sup> On an irregular test plan with [Virtuoso 7.2](https://travis-ci.org/mwjames/SemanticMediaWiki/builds/97294290)
* <sup>[t.2]</sup> On an irregular test plan with [4store 1.1.4](https://travis-ci.org/mwjames/SemanticMediaWiki/builds/61200454)
* <sup>[t.3]</sup> [#1583](https://github.com/SemanticMediaWiki/SemanticMediaWiki/issues/1583)
